Name:           perl-ZMQ-LibZMQ3
Version:        1.16
Release:        2%{?dist}
Summary:        Perl wrapper for the libzmq 3.x library

License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ZMQ-LibZMQ3/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DM/DMAKI/ZMQ-LibZMQ3-%{version}.tar.gz

BuildRequires:  perl(AnyEvent)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::SharedFork)
BuildRequires:  perl(Test::TCP) >= 1.08
BuildRequires:  perl(threads)
BuildRequires:  perl(ZMQ::Constants)
BuildRequires:  zeromq3-devel

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
The ZMQ::LibZMQ3 module is a wrapper of the 0MQ message passing library for
Perl. It's a thin wrapper around the C API. Please read http://zeromq.org
for more details on 0MQ.


%prep
%setup -q -n ZMQ-LibZMQ3-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test


%files
%doc Changes
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/ZMQ*
%{_mandir}/man3/*.3*


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 14 2014 Jose Pedro Oliveira <jose.p.oliveira.oss at gmail.com> - 1.16-1
- Update to version 1.16

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 26 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.14-1
- Update to version 1.14

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Petr Pisar <ppisar@redhat.com> - 1.13-2
- Perl 5.18 rebuild

* Wed Jun 19 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.13-1
- Update to version 1.13

* Thu May 30 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.12-1
- Update to version 1.12

* Wed May 15 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.11-1
- Update to version 1.11

* Sun Mar  3 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.10-1
- Update to version 1.10

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.09-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 24 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.09-1
- Update to version 1.09

* Mon Jan 21 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.08-2
- BR: perl(threads) (#868531).

* Sat Jan 19 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.08-1
- Update to version 1.08

* Wed Jan 16 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.07-1
- Update to version 1.07

* Sun Jan 13 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.06-1
- Update to version 1.06

* Wed Jan  9 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.05-1
- Update to version 1.05

* Sat Jan  5 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.03-1
- Update to version 1.03

* Fri Dec 28 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.02-1
- Update to version 1.02

* Thu Dec 27 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.01-2
- Specfile corrections (based on the review of ZMQ::LibZMQ2)

* Sat Oct 20 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.01-1
- First Fedora specfile

# vim:set ai ts=4 sw=4 sts=4 et:
